package com.ruoyi.ai.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ai.domain.AiBanner;

/**
 * banner管理Mapper接口
 *
 * @author shi
 * @date 2025-11-13
 */
public interface AiBannerMapper extends BaseMapper<AiBanner> {
    int deleteAiBannerByIds(Long[] ids);

    int deleteAiBannerById(Long id);

    List<AiBanner> selectAiBannerList(AiBanner aiBanner);
}
